# Gcal Entity

## Overview
Google Calendar Entity provides an easy way to display Google calendar events in an agenda format. Inspired by the [D7 agenda module](https://www.drupal.org/project/agenda).

Events are displayed in a simple agenda list format, with date and event title. 

## Requirements
* Dupal 8.6.x or higher
* [Google Calendar API key (free)](https://console.cloud.google.com/apis/api/calendar-json.googleapis.com)
* Google Calendar to be shown must be set to PUBLIC

## Installation
* Run command: `composer require drupal/gcal_entity` 
or 
* Download the latest version, extract and manually move to your “/modules” directory. 
* Run command: `drush en gcal_entity`  (or enable in the “Extend” interface)

## Configuration (Global Settings)
**These settings apply to all calendars.**

1. In Drupal, go to Admin > Content authoring > Google Calendar Entity Global Settings.
2. Paste in your Google API key.
3. Set cache time limit. A lower number refreshes the information faster but may impact site performance.
4. Caching is set up for 5 minutes (300 seconds) by default. 0 is no cache. 
5. Change other settings as desired.
6. Click Save Configuration.

## Usage
### Creating a New Calendar

1. Structure/Content > Gcal Entity. Page shows list of created calendars.
2. At the bottom left corner, click Add GCal entity.
3. Enter Calendar ID (usually email). 
4. Enter Name, Authored By information.
5. Click Save.

### Inserting Calendar
* On desired node, insert as entity reference field.

### Extending the Module
* The basic twig templates can be copied to your theme. Each template provides detailed information for what calendar variables are available. 
